package me.unurled.sacredrealms.sr.commands;

import me.unurled.sacredrealms.sr.SR;
import me.unurled.sacredrealms.sr.commands.admin.AttributeCommand;
import me.unurled.sacredrealms.sr.commands.player.ResetAdventureCommand;
import me.unurled.sacredrealms.sr.managers.Manager;
import org.bukkit.command.PluginCommand;

public class CommandManager extends Manager {

  /** Load the manager */
  @Override
  public void load() {
    super.load();
    SR instance = SR.getInstance();
    PluginCommand attributes = instance.getCommand("attributes");
    if (attributes != null) {
      attributes.setExecutor(new AttributeCommand());
      attributes.setTabCompleter(new AttributeCommand());
    }

    PluginCommand resetadventure = instance.getCommand("resetadventure");
    if (resetadventure != null) {
      resetadventure.setExecutor(new ResetAdventureCommand());
      resetadventure.setTabCompleter(new ResetAdventureCommand());
    }
  }
}
